﻿<Project Sdk="Microsoft.NET.Sdk.Web">
    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <RootNamespace>DotStatServices.AuthorizationManagement</RootNamespace>
        <AssemblyName>DotStatServices.AuthorizationManagement</AssemblyName>
        <DocumentationFile>DotStatServices.AuthorizationManagement.xml</DocumentationFile>
        <TypeScriptCompileBlocked>true</TypeScriptCompileBlocked>
        <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
        <WarningsAsErrors />
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="DotStat.DataAccess.NuGet" Version="27.0.6-gf27c8a1492" />
        <PackageReference Include="DryIoc.Microsoft.DependencyInjection" Version="6.1.0" />
        <PackageReference Include="FluentValidation.AspNetCore" Version="9.5.0" />
        <PackageReference Include="Mapster" Version="7.4.0" />
        <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.10" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.10" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.0.0" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="5.0.0" />
        <PackageReference Include="Microsoft.Data.SqlClient" Version="5.2.2" />
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.10" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
        <PackageReference Include="System.Private.Uri" Version="4.3.2" />
    </ItemGroup>
    <ItemGroup>
        <ConfigFiles Include="config\*.json" />
        <ConfigFiles Include="config\*.config" />
    </ItemGroup>
    <ItemGroup>
        <Folder Include="Controllers\" />
    </ItemGroup>
    <ItemGroup>
      <PackageReference Update="Nerdbank.GitVersioning" Version="3.4.255" />
    </ItemGroup>
    <Target Name="CopyConfigFiles" AfterTargets="AfterBuild">
        <Copy SourceFiles="@(ConfigFiles)" DestinationFolder="$(OutputPath)\config" UseHardlinksIfPossible="true" SkipUnchangedFiles="true" />
    </Target>
    <Target Name="ReportPackageVersion" AfterTargets="AfterBuild">
        <Message Importance="high" Text="Package version: $(AssemblyInformationalVersion)" />
    </Target>
</Project>
